Subject: Re: [Bitcoin-development] BIP 70 refund field

From: Mike Hearn <[email-masked]>
Date: Fri, 28 Mar 2014 13:27:18 +0100

>
> It is not more effort than an auto remembered call-in phone number. You
> delete if you do not care. The difference however is that it would be a
> clean protocol for repeated payments in both directions for whatever
> reason, where "refund" is and "payment" are not special compared to "1st
> installment", "overpayed back" or "tip"  or whatever extra charge arises
> later.
>

I think that'd be too abstract. The purpose of the refund field is that so
if/when you receive a payment there, the wallet UI can do something
intelligent, like show you in your transactions list that a certain payment
was refunded using language the user will understand. If it's modelled at
the protocol level without that then it makes producing good UI's harder.